hpp-core: hpp::core::DistanceBetweenObjects Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core::DistanceBetweenObjects Class Reference

Computation of distances between pairs of objects. More...

`#include <hpp/core/distance-between-objects.hh>`

## Public Member Functions
| DistanceBetweenObjects (const DevicePtr_t &robot)
void | addObstacle (const CollisionObjectConstPtr_t &object)
void | obstacles (const ObjectStdVector_t &obstacles)
| Add a list of obstacles.
void | computeDistances ()
| Compute distances between pairs of objects stored in bodies.
const CollisionPairs_t & | collisionPairs () const
| Get collision pairs.
const DistanceResults_t & | distanceResults () const
| Get result of distance computations.

## Detailed Description

Computation of distances between pairs of objects.

## Constructor & Destructor Documentation

## ◆ DistanceBetweenObjects()

hpp::core::DistanceBetweenObjects::DistanceBetweenObjects | ( | const DevicePtr_t & | robot | ) |

## Member Function Documentation

## ◆ addObstacle()

void hpp::core::DistanceBetweenObjects::addObstacle | ( | const CollisionObjectConstPtr_t & | object | ) |

Add an obstacle

Parameters

  object | obstacle to add Create distance computation pairs for each body of the robot

## ◆ collisionPairs()

const CollisionPairs_t & hpp::core::DistanceBetweenObjects::collisionPairs | ( |  | ) | const
| inline

Get collision pairs.

## ◆ computeDistances()

void hpp::core::DistanceBetweenObjects::computeDistances | ( |  | ) |

Compute distances between pairs of objects stored in bodies.

## ◆ distanceResults()

const DistanceResults_t & hpp::core::DistanceBetweenObjects::distanceResults | ( |  | ) | const
| inline

Get result of distance computations.

## ◆ obstacles()

void hpp::core::DistanceBetweenObjects::obstacles | ( | const ObjectStdVector_t & | obstacles | ) |

Add a list of obstacles.

The documentation for this class was generated from the following file:

- include/hpp/core/distance-between-objects.hh